/*
 * testPoint.cpp
 *
 *  Created on: Sep 3, 2016
 *      Author: zeil
 */

#include <point.h>

#include <string>

#include "unittest.h"


Point p1;
Point p2;

void setUp() {
  p1.x = p1.y = 0;
  p2.x = 3;
  p2.y = 4;
}

UnitTest(constructor) {
  setUp();
  
  Point p0;
  assertThat (p0.x, is(0));
  assertThat (p0.y, is(0));

  Point p (23, 46);
  assertThat (p.x, is(23));
  assertThat (p.y, is(46));
}

UnitTest (assignment) {
  setUp();

  p1 = p2;

  assertThat (p1.x, is(3));
  assertThat (p1.y, is(4));
}






